Bug 1118988 - Error when updating kernel 3.14.x
Summary: Error when updating kernel 3.14.x
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1221393 (view as bug list)
Depends On:
Blocks: 1222529
TreeView+ depends on / blocked
 
Reported: 2014-07-12 21:01 UTC by Eli Wapniarski
Modified: 2015-06-05 23:39 UTC (History)
9 users (show)

(edit)
Clone Of:
: 1222529 (view as bug list)
(edit)
Last Closed: 2015-06-05 23:39:14 UTC


Attachments (Terms of Use)

Description Eli Wapniarski 2014-07-12 21:01:40 UTC
I have been getting:

dracut-install: ERROR: installing 'vi'
dracut-install: ERROR: installing '/etc/virc'
/usr/lib/dracut/dracut-install -D /var/tmp/initramfs.8LBEMd -a vi /etc/virc ps grep cat rm

When installing kernel-3.15.4 and when I intalled kernel-3.15.3.

The computer seems to work fine. However, I don't belieive I should be getting this.

Please help me to resolve it.

Thanks

Comment 1 Tadas Slotkus 2014-07-20 11:01:51 UTC
Getting similar too. Few months ago I ran:
yum remove vim-minimal-7.4.179-1.fc20.x86_64

And today during update:
  Installing : kernel-3.15.6-200.fc20.x86_64                                                 1/6 
  Installing : kernel-modules-extra-3.15.6-200.fc20.x86_64                                   2/6 
  Updating   : kernel-headers-3.15.6-200.fc20.x86_64                                         3/6 
  Cleanup    : kernel-modules-extra-3.14.3-200.fc20.x86_64                                   4/6 
  Cleanup    : kernel-3.14.3-200.fc20.x86_64                                                 5/6 
  Cleanup    : kernel-headers-3.15.5-200.fc20.x86_64                                         6/6 
dracut-install: ERROR: installing '/etc/virc'
/usr/lib/dracut/dracut-install -D /var/tmp/initramfs.N8s7fW -a vi /etc/virc ps grep cat rm
  Verifying  : kernel-headers-3.15.6-200.fc20.x86_64                                         1/6 
  Verifying  : kernel-modules-extra-3.15.6-200.fc20.x86_64                                   2/6 
  Verifying  : kernel-3.15.6-200.fc20.x86_64                                                 3/6 
  Verifying  : kernel-modules-extra-3.14.3-200.fc20.x86_64                                   4/6 
  Verifying  : kernel-headers-3.15.5-200.fc20.x86_64                                         5/6 
  Verifying  : kernel-3.14.3-200.fc20.x86_64

Comment 2 Sandro Bonazzola 2015-05-11 06:15:59 UTC
This is affecting also mock builds when the kernel package is one of the dependencies. Rising severity since this make such builds to fail.

Comment 3 David Caro 2015-05-11 06:30:19 UTC
As a workaround on mock, you can install the vim-minimal package manually before running it

Comment 4 Tuomo Soini 2015-05-13 18:09:36 UTC
dracut should depend on vim-minimal.

Same problem in rhel7.

Comment 5 Harald Hoyer 2015-05-18 12:46:08 UTC
commit 54b68829b60bc3f4c28cfca1ab0336584fe1e74c


Workaround:

echo 'install_items=" ps grep cat rm "' > /etc/dracut.conf.d/50-no-vi.conf

Comment 6 Harald Hoyer 2015-05-18 12:47:08 UTC
*** Bug 1221393 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2015-05-18 13:21:49 UTC
dracut-037-13.git20150518.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dracut-037-13.git20150518.fc20

Comment 8 Fedora Update System 2015-05-19 16:20:37 UTC
Package dracut-037-13.git20150518.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-037-13.git20150518.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8502/dracut-037-13.git20150518.fc20
then log in and leave karma (feedback).

Comment 9 Fedora End Of Life 2015-05-29 12:21:25 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora Update System 2015-06-05 23:39:14 UTC
dracut-037-13.git20150518.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.